#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 servant-swagger
version:              1.1.10
visibility:           public
id:                   servant-swagger-1.1.10-2krkcYw6aRq2VVsv5AiRLg
key:                  servant-swagger-1.1.10-2krkcYw6aRq2VVsv5AiRLg
license:              BSD-3-Clause
copyright:            (c) 2015-2018, Servant contributors
maintainer:           nickolay.kudasov@gmail.com
author:               David Johnson, Nickolay Kudasov
homepage:             https://github.com/haskell-servant/servant-swagger
synopsis:
    Generate a Swagger/OpenAPI/OAS 2.0 specification for your servant API.

description:
    Swagger is a project used to describe and document RESTful APIs. The core of the
    project is the [OpenAPI Specification (OAS)](https://swagger.io/docs/specification/about/).
    This library implements v2.0 of the spec. Unlike Servant it is language-agnostic and thus is
    quite popular among developers in different languages. It has also existed for a longer time
    and has more helpful tooling.

    This package provides means to generate a Swagger/OAS specification for a Servant API
    and also to partially test whether an API conforms with its specification.

    Generated Swagger specification then can be used for many things such as

    * displaying interactive documentation using [Swagger UI](http://swagger.io/swagger-ui/);

    * generating clients and servers in many languages using [Swagger Codegen](http://swagger.io/swagger-codegen/);

    * and [many others](http://swagger.io/open-source-integrations/).

category:             Web, Servant, Swagger
abi:                  ab1aa445bc778e09a7c39426ef04da8f
exposed:              True
exposed-modules:
    Servant.Swagger Servant.Swagger.Internal
    Servant.Swagger.Internal.Orphans Servant.Swagger.Internal.Test
    Servant.Swagger.Internal.TypeLevel
    Servant.Swagger.Internal.TypeLevel.API
    Servant.Swagger.Internal.TypeLevel.Every
    Servant.Swagger.Internal.TypeLevel.TMap Servant.Swagger.Test
    Servant.Swagger.TypeLevel

import-dirs:          /usr/lib/ghc-9.0.2/site-local/servant-swagger-1.1.10
library-dirs:         /usr/lib/ghc-9.0.2/site-local/servant-swagger-1.1.10
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/servant-swagger-1.1.10
hs-libraries:         HSservant-swagger-1.1.10-2krkcYw6aRq2VVsv5AiRLg
depends:
    QuickCheck-2.14.2-1ypjvWj62Tv8anPe2Haych
    aeson-1.5.6.0-9b7PYeIt4IK50V585g1cEG
    aeson-pretty-0.8.9-98i4FWGKWsWC58jWBDXBHi base-4.15.1.0
    base-compat-0.12.0-At5rtEWccPdHHWueoNKXDb bytestring-0.10.12.1
    hspec-2.9.0-7AYLoIT2qpS9MTLK8KncI3
    http-media-0.8.0.0-Esx52iSWu3h9hRjl1FjcWI
    insert-ordered-containers-0.2.5.1-1aMUiPgToJM94II1hydQOx
    lens-5.1-5sqHVT582JO7KyE5qbdQI4
    servant-0.18.3-3NdSI6QU9qELYzqtDxl8AP
    singleton-bool-0.1.6-7QLOIHGCKXPGSwQGo05OYf
    swagger2-2.6.1-DrNoqX4jXzI7yZ1RafScr text-1.2.5.0
    unordered-containers-0.2.16.0-CwffDPZxPuFHBx4xcBeO

haddock-interfaces:
    /usr/share/doc/haskell-servant-swagger/html/servant-swagger.haddock

haddock-html:         /usr/share/doc/haskell-servant-swagger/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

